2012年7月3日火曜日

Node.jsをv0.8.1にしたらexpressがv3.0.0 beta4になって動かなくなった

どうも、オレ@お昼休みです。
Nodeが一気にv0.6.19からv0.8.1になったという知らせを受けて早速バージョンアップしました。

$ nave install stable

何かが動かなくなるだろうな、と思いながらテスト用に作ってあるexpress+socket.io製app.jsを起動しようとすると案の定動きませんでした。
「動きません」というか起動はするのですが、socket.ioを使ったwebsocket接続ができませんでした。
接続してもうんともすんとも言わない状況です。

expressのhello-worldサンプルのがるGitを見ると、どうもexpressの使い方が以前と変わってるみたい。
→createServer()が必要なくなったぽい。

なので、サンプルに習ってこう書き換えます。(部分抜粋)

$ vim app.js

---------------------------------
var express = require('express');
// これはもう使わない
// var app = module.exports = express.createServer();
var app = express();

var io = require('socket.io');

// 使わない
// app.listen(3000, function() {
//    console.log("Express server listening on port %d in %s mode", app.address().port, app.settings.env);
//});

var socket = io.listen(app.listen(3000));
これでバッチリ



以上でぇぇえぇぇす。

0 件のコメント:

amazon